GET /cloud/{uuid}/placement/summary/
/cloud/{uuid}/placement/summary/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"azs": [
"string"
],
"consumer_stats": {
"num_asymmetric_shared_vip": 0,
"num_attach_ip_incomplete": 0,
"num_disabled": 0,
"num_enable_rhi": 0,
"num_enable_rhi_snat": 0,
"num_fully_placed": 0,
"num_idle": 0,
"num_ign_pool_net_reach": 0,
"num_not_placed": 0,
"num_partially_placed": 0,
"num_pending_placement": 0,
"num_placement_ineligible": 0,
"num_scaleout_ecmp": 0,
"num_shared_vip": 0,
"num_sni_child": 0,
"num_sni_parent": 0,
"num_total": 0,
"num_traffic_disabled": 0,
"num_wildcard": 0,
"num_wildcard_fully_placed_all_nws": 0,
"num_wildcard_fully_placed_some_nws": 0
},
"dhcp_enabled": false,
"dns_profile_type": "string",
"dns_profile_uuid": "string",
"ipam_profile_type": "string",
"ipam_profile_uuid": "string",
"num_se_groups": 0,
"placement_ready": false,
"privilege": "string",
"resource_stats": {
"num_bgp_peers_down": 0,
"num_capacity_reached": 0,
"num_create_pending": 0,
"num_disabled": 0,
"num_disconnected": 0,
"num_gateway_down": 0,
"num_offline": 0,
"num_placement_eligible": 0,
"num_reboot_pending": 0,
"num_total": 0,
"num_vnic_capacity_reached": 0
},
"state": "string",
"state_based_dns_registration": false,
"tenant_uuid": "string",
"type": "string",
"uuid": "string"
}
Availability zones. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
consumer_stats
IP address management scheme. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
DNS profile type. Enum options - IPAMDNS_TYPE_INFOBLOX, IPAMDNS_TYPE_AWS, IPAMDNS_TYPE_OPENSTACK, IPAMDNS_TYPE_GCP, IPAMDNS_TYPE_INFOBLOX_DNS, IPAMDNS_TYPE_CUSTOM, IPAMDNS_TYPE_CUSTOM_DNS, IPAMDNS_TYPE_AZURE, IPAMDNS_TYPE_OCI, IPAMDNS_TYPE_TENCENT, IPAMDNS_TYPE_INTERNAL, IPAMDNS_TYPE_INTERNAL_DNS, IPAMDNS_TYPE_AWS_DNS, IPAMDNS_TYPE_AZURE_DNS. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
DNS profile UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
IPAM profile type. Enum options - IPAMDNS_TYPE_INFOBLOX, IPAMDNS_TYPE_AWS, IPAMDNS_TYPE_OPENSTACK, IPAMDNS_TYPE_GCP, IPAMDNS_TYPE_INFOBLOX_DNS, IPAMDNS_TYPE_CUSTOM, IPAMDNS_TYPE_CUSTOM_DNS, IPAMDNS_TYPE_AZURE, IPAMDNS_TYPE_OCI, IPAMDNS_TYPE_TENCENT, IPAMDNS_TYPE_INTERNAL, IPAMDNS_TYPE_INTERNAL_DNS, IPAMDNS_TYPE_AWS_DNS, IPAMDNS_TYPE_AZURE_DNS. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
IPAM profile UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of SE groups. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cloud is ready for placement. Flag is set to false if cloud connector state is not CC_STATE_PLACEMENT_READY, system upgrade is in progress, or warm start is in progress. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Access privilege. Enum options - NO_ACCESS, READ_ACCESS, WRITE_ACCESS. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
resource_stats
Cloud connector state. Enum options - CC_STATE_UNKNOWN, CC_STATE_DECONFIG_IN_PROGRESS, CC_STATE_CONFIG_IN_PROGRESS, CC_STATE_INIT_IN_PROGRESS, CC_STATE_IMAGE_IN_PROGRESS, CC_STATE_INIT_COMPLETE, CC_STATE_IMAGE_COMPLETE, CC_STATE_IMAGE_FAILED, CC_STATE_HEALTH_OK, CC_STATE_MAINTENANCE_MODE_IN_PROGRESS, CC_STATE_CONFIG_FAILED, CC_STATE_INIT_FAILED, CC_STATE_HEALTH_FAILED, CC_STATE_IN_MAINTENANCE_MODE, CC_STATE_PLACEMENT_READY. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
DNS records for VIPs are added/deleted based on the operational state of the VIPs. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Tenant UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cloud type. Enum options - CLOUD_NONE, CLOUD_VCENTER, CLOUD_OPENSTACK, CLOUD_AWS, CLOUD_VCA, CLOUD_APIC, CLOUD_MESOS, CLOUD_LINUXSERVER, CLOUD_DOCKER_UCP, CLOUD_RANCHER, CLOUD_OSHIFT_K8S, CLOUD_AZURE, CLOUD_GCP, CLOUD_NSXT. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cloud UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/cloud/{uuid}/placement/summary